Bitcoin Forum
November 25, 2017, 08:01:44 AM *
News: Latest stable version of Bitcoin Core: 0.15.1  [Torrent].
 
   Home   Help Search Donate Login Register  
Pages: [1] 2 »  All
  Print  
Author Topic: xubuntu 12.04 wants to update fglrx-* packages - safe?  (Read 4489 times)
ShadesOfMarble
Donator
Hero Member
*
Offline Offline

Activity: 525



View Profile
February 02, 2013, 12:05:14 PM
 #1

Running apt-get upgrade, my system wants to upgrade these packages:

The following packages have been kept back:
  libminiupnpc8 linux-generic linux-headers-generic linux-image-generic
The following packages will be upgraded:
  base-files dkms dpkg dpkg-dev fglrx-amdcccle-updates fglrx-updates
  fglrx-updates-dev
firefox firefox-globalmenu firefox-gnome-support
  firefox-locale-en gnome-games-data gnome-sudoku gnomine initramfs-tools
  initramfs-tools-bin isc-dhcp-client isc-dhcp-common jockey-common jockey-gtk
  libapache2-mod-php5 libdpkg-perl libdrm-intel1 libdrm-nouveau1a
  libdrm-radeon1 libdrm2 libfreetype6 libgl1-mesa-dri libgl1-mesa-glx
  libglapi-mesa libglu1-mesa libmysqlclient18 libnm-glib-vpn1 libnm-glib4
  libnm-util2 libnspr4 libnss3 libplymouth2 libpulse-mainloop-glib0 libpulse0
  libpulsedsp libtelepathy-glib0 libxatracker1 linux-libc-dev mahjongg
  mysql-client-5.5 mysql-client-core-5.5 mysql-common mysql-server-5.5
  mysql-server-core-5.5 network-manager oracle-java7-installer php5 php5-cli
  php5-common php5-curl php5-mysql plymouth plymouth-label
  plymouth-theme-ubuntu-text pulseaudio pulseaudio-module-x11 pulseaudio-utils
  ubuntu-minimal ubuntu-standard upstart x11-common xorg xserver-xorg
  xserver-xorg-input-all xserver-xorg-video-all


Is it safe to update those (bold) packages or should I keep the old packages for mining with cgminer on a mixed 7970/5850 setup?

Review of the Spondoolies-Tech SP10 „Dawson“ Bitcoin miner (1.4 TH/s)

[22:35] <Vinnie_win> Did anyone get paid yet? | [22:36] <Isokivi> pirate did!
1511596904
Hero Member
*
Offline Offline

Posts: 1511596904

View Profile Personal Message (Offline)

Ignore
1511596904
Reply with quote  #2

1511596904
Report to moderator
1511596904
Hero Member
*
Offline Offline

Posts: 1511596904

View Profile Personal Message (Offline)

Ignore
1511596904
Reply with quote  #2

1511596904
Report to moderator
1511596904
Hero Member
*
Offline Offline

Posts: 1511596904

View Profile Personal Message (Offline)

Ignore
1511596904
Reply with quote  #2

1511596904
Report to moderator
Join ICO Now Coinlancer is Disrupting the Freelance marketplace!
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1511596904
Hero Member
*
Offline Offline

Posts: 1511596904

View Profile Personal Message (Offline)

Ignore
1511596904
Reply with quote  #2

1511596904
Report to moderator
1511596904
Hero Member
*
Offline Offline

Posts: 1511596904

View Profile Personal Message (Offline)

Ignore
1511596904
Reply with quote  #2

1511596904
Report to moderator
K1773R
Legendary
*
Offline Offline

Activity: 1680


/dev/null


View Profile
February 02, 2013, 12:12:16 PM
 #2

Running apt-get upgrade, my system wants to upgrade these packages:

The following packages have been kept back:
  libminiupnpc8 linux-generic linux-headers-generic linux-image-generic
The following packages will be upgraded:
  base-files dkms dpkg dpkg-dev fglrx-amdcccle-updates fglrx-updates
  fglrx-updates-dev
firefox firefox-globalmenu firefox-gnome-support
  firefox-locale-en gnome-games-data gnome-sudoku gnomine initramfs-tools
  initramfs-tools-bin isc-dhcp-client isc-dhcp-common jockey-common jockey-gtk
  libapache2-mod-php5 libdpkg-perl libdrm-intel1 libdrm-nouveau1a
  libdrm-radeon1 libdrm2 libfreetype6 libgl1-mesa-dri libgl1-mesa-glx
  libglapi-mesa libglu1-mesa libmysqlclient18 libnm-glib-vpn1 libnm-glib4
  libnm-util2 libnspr4 libnss3 libplymouth2 libpulse-mainloop-glib0 libpulse0
  libpulsedsp libtelepathy-glib0 libxatracker1 linux-libc-dev mahjongg
  mysql-client-5.5 mysql-client-core-5.5 mysql-common mysql-server-5.5
  mysql-server-core-5.5 network-manager oracle-java7-installer php5 php5-cli
  php5-common php5-curl php5-mysql plymouth plymouth-label
  plymouth-theme-ubuntu-text pulseaudio pulseaudio-module-x11 pulseaudio-utils
  ubuntu-minimal ubuntu-standard upstart x11-common xorg xserver-xorg
  xserver-xorg-input-all xserver-xorg-video-all


Is it safe to update those (bold) packages or should I keep the old packages for mining with cgminer on a mixed 7970/5850 setup?

u can always grab the old deb's to downgrade afterwards if it dosnt work.
to get around "The following packages have been kept back" u have to use apt-get dist-upgrade

[GPG Public Key]  [Devcoin Builds]  [BBQCoin Builds]  [Multichain Blockexplorer]  [Multichain Blockexplorer - PoS Coins]  [Ufasoft Miner Linux Builds]
BTC/DVC/TRC/FRC: 1K1773RbXRZVRQSSXe9N6N2MUFERvrdu6y ANC/XPM AK1773RTmRKtvbKBCrUu95UQg5iegrqyeA NMC: NK1773Rzv8b4ugmCgX789PbjewA9fL9Dy1 LTC: LKi773RBuPepQH8E6Zb1ponoCvgbU7hHmd EMC: EK1773RxUes1HX1YAGMZ1xVYBBRUCqfDoF BQC: bK1773R1APJz4yTgRkmdKQhjhiMyQpJgfN
ShadesOfMarble
Donator
Hero Member
*
Offline Offline

Activity: 525



View Profile
February 02, 2013, 04:25:30 PM
 #3

u can always grab the old deb's to downgrade afterwards if it dosnt work.
Is it really *that* easy? Have you done it? Especially with the fglrx-* packages?
What about dependencies between packages?

Review of the Spondoolies-Tech SP10 „Dawson“ Bitcoin miner (1.4 TH/s)

[22:35] <Vinnie_win> Did anyone get paid yet? | [22:36] <Isokivi> pirate did!
K1773R
Legendary
*
Offline Offline

Activity: 1680


/dev/null


View Profile
February 02, 2013, 04:29:43 PM
 #4

u can always grab the old deb's to downgrade afterwards if it dosnt work.
Is it really *that* easy? Have you done it? Especially with the fglrx-* packages?
What about dependencies between packages?
yes you can, just get all 3 old fgrlx packages and install the deps with "sudo dpkg -i <debhere>"
i downgraded alot of times, altough not fglrx (only 1 year ago), still it works. if it screws up ur system, i help u for free to fix it since i screwd it up Wink

EDIT: u probably already got the old debs:
Code:
$ ls /var/cache/apt/archives/*fglrx*

[GPG Public Key]  [Devcoin Builds]  [BBQCoin Builds]  [Multichain Blockexplorer]  [Multichain Blockexplorer - PoS Coins]  [Ufasoft Miner Linux Builds]
BTC/DVC/TRC/FRC: 1K1773RbXRZVRQSSXe9N6N2MUFERvrdu6y ANC/XPM AK1773RTmRKtvbKBCrUu95UQg5iegrqyeA NMC: NK1773Rzv8b4ugmCgX789PbjewA9fL9Dy1 LTC: LKi773RBuPepQH8E6Zb1ponoCvgbU7hHmd EMC: EK1773RxUes1HX1YAGMZ1xVYBBRUCqfDoF BQC: bK1773R1APJz4yTgRkmdKQhjhiMyQpJgfN
ShadesOfMarble
Donator
Hero Member
*
Offline Offline

Activity: 525



View Profile
March 13, 2013, 02:46:43 PM
 #5

Looks like I need your help :p I upgraded the fglrx packages and now mining performance is crap.

5870 is working fine, but cgminer is showing wrong clocks (157 Mhz, which should be 900 Mhz)
7970 shows correct clock (950 Mhz), but is hashing at 190 MH/s...

Using cgminer 2.11.2

Review of the Spondoolies-Tech SP10 „Dawson“ Bitcoin miner (1.4 TH/s)

[22:35] <Vinnie_win> Did anyone get paid yet? | [22:36] <Isokivi> pirate did!
K1773R
Legendary
*
Offline Offline

Activity: 1680


/dev/null


View Profile
March 13, 2013, 05:14:16 PM
 #6

download an older fglrx (the general package), there u can create packages for ur system. install these deps with dpkg, restart. thats it Tongue

[GPG Public Key]  [Devcoin Builds]  [BBQCoin Builds]  [Multichain Blockexplorer]  [Multichain Blockexplorer - PoS Coins]  [Ufasoft Miner Linux Builds]
BTC/DVC/TRC/FRC: 1K1773RbXRZVRQSSXe9N6N2MUFERvrdu6y ANC/XPM AK1773RTmRKtvbKBCrUu95UQg5iegrqyeA NMC: NK1773Rzv8b4ugmCgX789PbjewA9fL9Dy1 LTC: LKi773RBuPepQH8E6Zb1ponoCvgbU7hHmd EMC: EK1773RxUes1HX1YAGMZ1xVYBBRUCqfDoF BQC: bK1773R1APJz4yTgRkmdKQhjhiMyQpJgfN
ShadesOfMarble
Donator
Hero Member
*
Offline Offline

Activity: 525



View Profile
March 15, 2013, 10:09:36 AM
 #7

I downloaded a file called "amd-driver-installer-catalyst-12.10-x86.x86_64.run", is that the correct one?
Just sudo run it?

Review of the Spondoolies-Tech SP10 „Dawson“ Bitcoin miner (1.4 TH/s)

[22:35] <Vinnie_win> Did anyone get paid yet? | [22:36] <Isokivi> pirate did!
K1773R
Legendary
*
Offline Offline

Activity: 1680


/dev/null


View Profile
March 15, 2013, 11:20:00 AM
 #8

chmod +x and run it as normal user, create packages (you can choose). if your distri isnt listed run the binary with --help and specify the distro + package building on the cli.

[GPG Public Key]  [Devcoin Builds]  [BBQCoin Builds]  [Multichain Blockexplorer]  [Multichain Blockexplorer - PoS Coins]  [Ufasoft Miner Linux Builds]
BTC/DVC/TRC/FRC: 1K1773RbXRZVRQSSXe9N6N2MUFERvrdu6y ANC/XPM AK1773RTmRKtvbKBCrUu95UQg5iegrqyeA NMC: NK1773Rzv8b4ugmCgX789PbjewA9fL9Dy1 LTC: LKi773RBuPepQH8E6Zb1ponoCvgbU7hHmd EMC: EK1773RxUes1HX1YAGMZ1xVYBBRUCqfDoF BQC: bK1773R1APJz4yTgRkmdKQhjhiMyQpJgfN
ShadesOfMarble
Donator
Hero Member
*
Offline Offline

Activity: 525



View Profile
March 15, 2013, 11:22:12 AM
 #9

Running as normal user isn't working, tells me I need to be root!?

Review of the Spondoolies-Tech SP10 „Dawson“ Bitcoin miner (1.4 TH/s)

[22:35] <Vinnie_win> Did anyone get paid yet? | [22:36] <Isokivi> pirate did!
K1773R
Legendary
*
Offline Offline

Activity: 1680


/dev/null


View Profile
March 15, 2013, 11:23:59 AM
 #10

then run it as root, *sigh*
as example: http://wiki.cchtml.com/index.php/Ubuntu_Lucid_Installation_Guide#Create_.deb_packages.

[GPG Public Key]  [Devcoin Builds]  [BBQCoin Builds]  [Multichain Blockexplorer]  [Multichain Blockexplorer - PoS Coins]  [Ufasoft Miner Linux Builds]
BTC/DVC/TRC/FRC: 1K1773RbXRZVRQSSXe9N6N2MUFERvrdu6y ANC/XPM AK1773RTmRKtvbKBCrUu95UQg5iegrqyeA NMC: NK1773Rzv8b4ugmCgX789PbjewA9fL9Dy1 LTC: LKi773RBuPepQH8E6Zb1ponoCvgbU7hHmd EMC: EK1773RxUes1HX1YAGMZ1xVYBBRUCqfDoF BQC: bK1773R1APJz4yTgRkmdKQhjhiMyQpJgfN
ShadesOfMarble
Donator
Hero Member
*
Offline Offline

Activity: 525



View Profile
March 15, 2013, 11:30:48 AM
 #11

./amd-driver-installer-catalyst-12.10-x86.x86_64.run --buildpkg
sudo dpkg -i fglrx*.deb --auto-deconfigure

Gives me the following, which looks like way too much errors...

Code:
x@atlas:~/catalyst$ sudo dpkg -i fglrx*.deb --auto-deconfigure
dpkg: considering removing fglrx-updates in favour of fglrx ...
dpkg: yes, will remove fglrx-updates in favour of fglrx.
(Reading database ... 177579 files and directories currently installed.)
Unpacking fglrx (from fglrx_9.002-0ubuntu1_amd64.deb) ...
Removing all DKMS Modules
vDone.
update-alternatives: using /usr/lib/pxpress/ld.so.conf to provide /etc/ld.so.conf.d/x86_64-linux-gnu_GL.conf (x86_64-linux-gnu_gl_conf) in auto mode.
update-alternatives: using /usr/lib/pxpress/alt_ld.so.conf to provide /etc/ld.so.conf.d/i386-linux-gnu_GL.conf (i386-linux-gnu_gl_conf) in auto mode.
update-alternatives: using /usr/lib/x86_64-linux-gnu/mesa/ld.so.conf to provide /etc/ld.so.conf.d/x86_64-linux-gnu_GL.conf (x86_64-linux-gnu_gl_conf) in auto mode.
update-initramfs: deferring update (trigger activated)
Preparing to replace fglrx-amdcccle 2:9.002-0ubuntu1 (using fglrx-amdcccle_9.002-0ubuntu1_amd64.deb) ...
Unpacking replacement fglrx-amdcccle ...
Preparing to replace fglrx-dev 2:9.002-0ubuntu1 (using fglrx-dev_9.002-0ubuntu1_amd64.deb) ...
Unpacking replacement fglrx-dev ...
dpkg: error processing --auto-deconfigure (--install):
 cannot access archive: No such file or directory
dpkg: dependency problems prevent configuration of fglrx:
 fglrx depends on fglrx-updates; however:
  Package fglrx-updates is not installed.
dpkg: error processing fglrx (--install):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of fglrx-amdcccle:
 fglrx-amdcccle depends on fglrx; however:
  Package fglrx is not configured yet.
 fglrx-amdcccle depends on fglrx-updates; however:
  Package fglrx-updates is not installed.
dpkg: error processing fglrx-amdcccle (--install):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of fglrx-dev:
 fglrx-dev depends on fglrx; however:
  Package fglrx is not configured yet.
dpkg: error processing fglrx-dev (--install):
 dependency problems - leaving unconfigured
Processing triggers for ureadahead ...
ureadahead will be reprofiled on next reboot
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.2.0-32-generic
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Errors were encountered while processing:
 --auto-deconfigure
 fglrx
 fglrx-amdcccle
 fglrx-dev

Review of the Spondoolies-Tech SP10 „Dawson“ Bitcoin miner (1.4 TH/s)

[22:35] <Vinnie_win> Did anyone get paid yet? | [22:36] <Isokivi> pirate did!
K1773R
Legendary
*
Offline Offline

Activity: 1680


/dev/null


View Profile
March 15, 2013, 11:54:24 AM
 #12

Code:
--auto-deconfigure
useless

remove fglrx first, afterwards install these packages.

[GPG Public Key]  [Devcoin Builds]  [BBQCoin Builds]  [Multichain Blockexplorer]  [Multichain Blockexplorer - PoS Coins]  [Ufasoft Miner Linux Builds]
BTC/DVC/TRC/FRC: 1K1773RbXRZVRQSSXe9N6N2MUFERvrdu6y ANC/XPM AK1773RTmRKtvbKBCrUu95UQg5iegrqyeA NMC: NK1773Rzv8b4ugmCgX789PbjewA9fL9Dy1 LTC: LKi773RBuPepQH8E6Zb1ponoCvgbU7hHmd EMC: EK1773RxUes1HX1YAGMZ1xVYBBRUCqfDoF BQC: bK1773R1APJz4yTgRkmdKQhjhiMyQpJgfN
ShadesOfMarble
Donator
Hero Member
*
Offline Offline

Activity: 525



View Profile
March 15, 2013, 02:14:37 PM
 #13

Looks like removing anything doesn't work either.

Code:
x@atlas:~/catalyst$ sudo apt-get --purge remove fglrx*
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package fglrx_9.002-0ubuntu1_amd64.deb
E: Couldn't find any package by regex 'fglrx_9.002-0ubuntu1_amd64.deb'
E: Unable to locate package fglrx-amdcccle_9.002-0ubuntu1_amd64.deb
E: Couldn't find any package by regex 'fglrx-amdcccle_9.002-0ubuntu1_amd64.deb'
E: Unable to locate package fglrx-dev_9.002-0ubuntu1_amd64.deb
E: Couldn't find any package by regex 'fglrx-dev_9.002-0ubuntu1_amd64.deb'
E: Unable to locate package fglrx-installer_9.002-0ubuntu1_amd64.changes
E: Couldn't find any package by regex 'fglrx-installer_9.002-0ubuntu1_amd64.changes'

Review of the Spondoolies-Tech SP10 „Dawson“ Bitcoin miner (1.4 TH/s)

[22:35] <Vinnie_win> Did anyone get paid yet? | [22:36] <Isokivi> pirate did!
K1773R
Legendary
*
Offline Offline

Activity: 1680


/dev/null


View Profile
March 15, 2013, 05:24:02 PM
 #14

Code:
E: Unable to locate package fglrx_9.002-0ubuntu1_amd64.deb
should never happen unless you killed your apt. maybe only the cache is bugging, try "apt-get clean"

[GPG Public Key]  [Devcoin Builds]  [BBQCoin Builds]  [Multichain Blockexplorer]  [Multichain Blockexplorer - PoS Coins]  [Ufasoft Miner Linux Builds]
BTC/DVC/TRC/FRC: 1K1773RbXRZVRQSSXe9N6N2MUFERvrdu6y ANC/XPM AK1773RTmRKtvbKBCrUu95UQg5iegrqyeA NMC: NK1773Rzv8b4ugmCgX789PbjewA9fL9Dy1 LTC: LKi773RBuPepQH8E6Zb1ponoCvgbU7hHmd EMC: EK1773RxUes1HX1YAGMZ1xVYBBRUCqfDoF BQC: bK1773R1APJz4yTgRkmdKQhjhiMyQpJgfN
ShadesOfMarble
Donator
Hero Member
*
Offline Offline

Activity: 525



View Profile
March 15, 2013, 10:23:36 PM
 #15

Ok, I got those error messages because I ran the command inside the folder with the fglrx*.deb files...
So, after removing all fglrx* packages from the system I ran:

Code:
sudo ./amd-driver-installer-catalyst-12.10-x86.x86_64.run  --buildpkg
sudo dpkg -i fglrx*.deb

It looks like it worked...

Code:
micha@atlas:~/catalyst$ sudo dpkg -i fglrx*.deb
Selecting previously unselected package fglrx.
(Reading database ... 177273 files and directories currently installed.)
Unpacking fglrx (from fglrx_8.982-0ubuntu1_amd64.deb) ...
Selecting previously unselected package fglrx-amdcccle.
Unpacking fglrx-amdcccle (from fglrx-amdcccle_8.982-0ubuntu1_amd64.deb) ...
Selecting previously unselected package fglrx-dev.
Unpacking fglrx-dev (from fglrx-dev_8.982-0ubuntu1_amd64.deb) ...
Setting up fglrx (2:8.982-0ubuntu1) ...
update-alternatives: using /usr/lib/fglrx/ld.so.conf to provide /etc/ld.so.conf.d/x86_64-linux-gnu_GL.conf (x86_64-linux-gnu_gl_conf) in auto mode.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl32.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (of link group x86_64-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl32.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (of link group x86_64-linux-gnu_gl_conf) doesn't exist.
update-alternatives: using /usr/lib/fglrx/alt_ld.so.conf to provide /etc/ld.so.conf.d/i386-linux-gnu_GL.conf (i386-linux-gnu_gl_conf) in auto mode.
update-initramfs: deferring update (trigger activated)
Loading new fglrx-8.982 DKMS files...
First Installation: checking all kernels...
Building only for 3.2.0-32-generic
Building for architecture x86_64
Building initial module for 3.2.0-32-generic
Done.

fglrx:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.2.0-32-generic/updates/dkms/

depmod....

DKMS: install completed.
update-initramfs: deferring update (trigger activated)
Processing triggers for ureadahead ...
Setting up fglrx-amdcccle (2:8.982-0ubuntu1) ...
Setting up fglrx-dev (2:8.982-0ubuntu1) ...
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.2.0-32-generic
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place

But the system now doesn't boot anymore. And as I currently have no physical access to it - it will stay offline for some time.

Please don't tell other people it's safe to upgrade fglrx in the future Smiley

Review of the Spondoolies-Tech SP10 „Dawson“ Bitcoin miner (1.4 TH/s)

[22:35] <Vinnie_win> Did anyone get paid yet? | [22:36] <Isokivi> pirate did!
01BTC10
VIP
Hero Member
*
Offline Offline

Activity: 742



View Profile
March 15, 2013, 11:01:39 PM
 #16

Ok, I got those error messages because I ran the command inside the folder with the fglrx*.deb files...
So, after removing all fglrx* packages from the system I ran:

Code:
sudo ./amd-driver-installer-catalyst-12.10-x86.x86_64.run  --buildpkg
sudo dpkg -i fglrx*.deb

It looks like it worked...

Code:
micha@atlas:~/catalyst$ sudo dpkg -i fglrx*.deb
Selecting previously unselected package fglrx.
(Reading database ... 177273 files and directories currently installed.)
Unpacking fglrx (from fglrx_8.982-0ubuntu1_amd64.deb) ...
Selecting previously unselected package fglrx-amdcccle.
Unpacking fglrx-amdcccle (from fglrx-amdcccle_8.982-0ubuntu1_amd64.deb) ...
Selecting previously unselected package fglrx-dev.
Unpacking fglrx-dev (from fglrx-dev_8.982-0ubuntu1_amd64.deb) ...
Setting up fglrx (2:8.982-0ubuntu1) ...
update-alternatives: using /usr/lib/fglrx/ld.so.conf to provide /etc/ld.so.conf.d/x86_64-linux-gnu_GL.conf (x86_64-linux-gnu_gl_conf) in auto mode.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl32.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (of link group x86_64-linux-gnu_gl_conf) doesn't exist.
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken.
update-alternatives: warning: skip creation of /etc/OpenCL/vendors/amdocl32.icd because associated file /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (of link group x86_64-linux-gnu_gl_conf) doesn't exist.
update-alternatives: using /usr/lib/fglrx/alt_ld.so.conf to provide /etc/ld.so.conf.d/i386-linux-gnu_GL.conf (i386-linux-gnu_gl_conf) in auto mode.
update-initramfs: deferring update (trigger activated)
Loading new fglrx-8.982 DKMS files...
First Installation: checking all kernels...
Building only for 3.2.0-32-generic
Building for architecture x86_64
Building initial module for 3.2.0-32-generic
Done.

fglrx:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.2.0-32-generic/updates/dkms/

depmod....

DKMS: install completed.
update-initramfs: deferring update (trigger activated)
Processing triggers for ureadahead ...
Setting up fglrx-amdcccle (2:8.982-0ubuntu1) ...
Setting up fglrx-dev (2:8.982-0ubuntu1) ...
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.2.0-32-generic
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place

But the system now doesn't boot anymore. And as I currently have no physical access to it - it will stay offline for some time.

Please don't tell other people it's safe to upgrade fglrx in the future Smiley

If you get a blank screen when booting then fglrx is broken.

You will need to log into the recovery console. Then remount your filesystem as writable.

Code:
sudo mount -o remount,rw 'PATH TO YOUR FILESYSTEM'

Then remove fglrx.

Code:
sudo sh /usr/share/ati/fglrx-uninstall.sh
sudo apt-get remove --purge fglrx fglrx_* fglrx-amdcccle* fglrx-dev*

You should now get a login screen after rebooting and then you can reinstall fglrx.

Hope this help.


EDIT: Just saw that you're trying to access your box remotely. I'm not sure if fglrx can break SSH (I guess the box is freezing when fglrx try to load). If you don't get a login screen then previous post can still help.
K1773R
Legendary
*
Offline Offline

Activity: 1680


/dev/null


View Profile
March 15, 2013, 11:15:42 PM
 #17

no need for this fancy stuff, just boot with recovery and drop to a root shell, NOW install the packages --builddpkg <YourDistriHere>
then reboot

[GPG Public Key]  [Devcoin Builds]  [BBQCoin Builds]  [Multichain Blockexplorer]  [Multichain Blockexplorer - PoS Coins]  [Ufasoft Miner Linux Builds]
BTC/DVC/TRC/FRC: 1K1773RbXRZVRQSSXe9N6N2MUFERvrdu6y ANC/XPM AK1773RTmRKtvbKBCrUu95UQg5iegrqyeA NMC: NK1773Rzv8b4ugmCgX789PbjewA9fL9Dy1 LTC: LKi773RBuPepQH8E6Zb1ponoCvgbU7hHmd EMC: EK1773RxUes1HX1YAGMZ1xVYBBRUCqfDoF BQC: bK1773R1APJz4yTgRkmdKQhjhiMyQpJgfN
01BTC10
VIP
Hero Member
*
Offline Offline

Activity: 742



View Profile
March 15, 2013, 11:18:55 PM
 #18

Last time my fglrx broke, I could not do anything without remounting the filesystem as writeable.
ShadesOfMarble
Donator
Hero Member
*
Offline Offline

Activity: 525



View Profile
March 15, 2013, 11:30:09 PM
 #19

I'm unable to SSH into the machine and I have no physical access right now.

Now that I have to go there anyway, I'm going to install Windows on it.
Restarting cgminer every 7 days is less trouble than crashing the whole system by installing a different driver version.

Review of the Spondoolies-Tech SP10 „Dawson“ Bitcoin miner (1.4 TH/s)

[22:35] <Vinnie_win> Did anyone get paid yet? | [22:36] <Isokivi> pirate did!
K1773R
Legendary
*
Offline Offline

Activity: 1680


/dev/null


View Profile
March 15, 2013, 11:31:26 PM
 #20

if your FS gets remounted as RO (read only) then there are probably bad sectors or another corruption/stuck operation, use
Code:
fsck -c -f /dev/sd*
this will force a check and check for bad sectors.

@ShadesOfMarble: if you do something wrong, it breaks of course.

[GPG Public Key]  [Devcoin Builds]  [BBQCoin Builds]  [Multichain Blockexplorer]  [Multichain Blockexplorer - PoS Coins]  [Ufasoft Miner Linux Builds]
BTC/DVC/TRC/FRC: 1K1773RbXRZVRQSSXe9N6N2MUFERvrdu6y ANC/XPM AK1773RTmRKtvbKBCrUu95UQg5iegrqyeA NMC: NK1773Rzv8b4ugmCgX789PbjewA9fL9Dy1 LTC: LKi773RBuPepQH8E6Zb1ponoCvgbU7hHmd EMC: EK1773RxUes1HX1YAGMZ1xVYBBRUCqfDoF BQC: bK1773R1APJz4yTgRkmdKQhjhiMyQpJgfN
Pages: [1] 2 »  All
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!